<%@ page language="java" import="java.io.*,java.util.*" errorPage="error.jsp" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://xmlns.oracle.com/j2ee/jsp/tld/ojsp/fileaccess.tld" prefix="upload" %>
<html> <body>
<%
   String nextaction = null;
   Enumeration enum = request.getParameterNames();
   while (enum.hasMoreElements()) {
      String name = (String) enum.nextElement();
      String values[] = request.getParameterValues(name);
      if (values != null) {
            if (name.equals("nextaction")) {
               nextaction = values[0];
            }
      }
   }
%>
<upload:httpUploadForm 
      formsAction="<%= nextaction %>"
      maxFiles='<%= request.getParameter("MaxFiles") %>'
      includeNumbers="true" 
      fileNameSize="50" 
      maxFileNameSize="120" >
<br> File:
</upload:httpUploadForm>

</body> </html>
